com.amazonaws.codegen

## Class C2jModels.Builder

- java.lang.Object
- - com.amazonaws.codegen.C2jModels.Builder

Enclosing class:
  C2jModels

    public static class C2jModels.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`C2jModels` `build()`
`C2jModels.Builder` `codeGenConfig(BasicCodeGenConfig codeGenConfig)`
`C2jModels.Builder` `customizationConfig(CustomizationConfig customizationConfig)`
`C2jModels.Builder` `examplesModel(ServiceExamples examplesModel)`
`C2jModels.Builder` `serviceModel(ServiceModel serviceModel)`
`C2jModels.Builder` `waitersModel(Waiters waitersModel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### serviceModel

    public C2jModels.Builder serviceModel(ServiceModel serviceModel)

#### waitersModel

    public C2jModels.Builder waitersModel(Waiters waitersModel)

#### examplesModel

    public C2jModels.Builder examplesModel(ServiceExamples examplesModel)

#### codeGenConfig

    public C2jModels.Builder codeGenConfig(BasicCodeGenConfig codeGenConfig)

#### customizationConfig

    public C2jModels.Builder customizationConfig(CustomizationConfig customizationConfig)

#### build

    public C2jModels build()